# -*-makefile-*-
#
# Copyright (C) 2013 by Michael Olbrich <m.olbrich@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_AMD_GPU_BIN) += amd-gpu-bin

AMD_GPU_BIN_VERSION	:= 11.09.01_201112
AMD_GPU_BIN		:= amd-gpu-bin-mx51-$(AMD_GPU_BIN_VERSION)
AMD_GPU_BIN_SUFFIX	:= tar.gz
AMD_GPU_BIN_ARCHIVE	:= $(PTXDIST_WORKSPACE)/local_src/$(AMD_GPU_BIN).$(AMD_GPU_BIN_SUFFIX)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/amd-gpu-bin.install:
	@$(call targetinfo)
	@rm -rf "$(AMD_GPU_BIN_PKGDIR)"
	@mkdir -p "$(AMD_GPU_BIN_PKGDIR)"
	@tar -C "$(AMD_GPU_BIN_PKGDIR)" --strip-components=1 -xf "$(AMD_GPU_BIN_ARCHIVE)"
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/amd-gpu-bin.targetinstall:
	@$(call targetinfo)

	@$(call install_init, amd-gpu-bin)
	@$(call install_fixup,amd-gpu-bin,PRIORITY,optional)
	@$(call install_fixup,amd-gpu-bin,SECTION,base)
	@$(call install_fixup,amd-gpu-bin,AUTHOR,"Michael Olbrich <m.olbrich@pengutronix.de>")
	@$(call install_fixup,amd-gpu-bin,DESCRIPTION,missing)

	@$(call install_tree, amd-gpu-bin, 0, 0, -, /usr/lib)
	@$(call install_tree, amd-gpu-bin, 0, 0, \
		$(AMD_GPU_BIN_PKGDIR)/usr/bin, \
		/usr/bin/gpu-examples)

	@$(call install_finish,amd-gpu-bin)

	@$(call touch)

# vim: syntax=make
