#ifndef INSTRUCTIONPARSER_H
#define INSTRUCTIONPARSER_H

#include "instructionlist.h"
#include "instruction.h"
#include <map>


using namespace std;

class InstructionParser
{
private:
    typedef std::map<string, int> label_map;
    InstructionList *instructions;
    vector<string> programLines;
    vector<string> programLinesBinary;
    label_map labels;
    unsigned int offset;
    void programLinesToBinary();
    void binaryToProgramLines();
    bool lineComments;
public:
    InstructionParser(InstructionList *il);
    void setOffset(unsigned int offset);
    void readProgramLines(const string &filename);
    void readTextBlob(const string &filename);
    void binaryOutputToFile(const string &filename);
    void instructionOutputToFile(const string &filename);
    void hexBlobOutputToFile(const string &filename);
    void setLineComments(bool lineComments);
};

#endif // INSTRUCTIONPARSER_H
